Subject: Re: bug#24644: 26.0.50; Emacs 25: set-fontset-font does not take effect with some ASCII symbols

From: Clément Pit--Claudel <[email-masked]>
Date: Sun, 9 Oct 2016 10:29:44 -0400

On 2016-10-09 03:08, Eli Zaretskii wrote:
>> From: Clément Pit--Claudel <[email-masked]>
>> Date: Sat, 8 Oct 2016 20:14:34 -0400
>>
>> On 2016-10-08 15:10, Eli Zaretskii wrote:
>>> I've now added a variable that you can set to disable the new behavior
>>> and get back the old pre-Emacs 25.1 behavior, for those users who
>>> want/need that.  The change is on the emacs-25 branch, so Emacs 25.2
>>> will have it.
>>
>> How is the new variable called?
> 
> It's mentioned in NEWS, of course.
> 
>> Also, what's the way to use a given font for a given charset in Emacs 25.1, without setting that variable?
> 
> You should use set-fontset-font, I think its doc string explains
> this.  Also, there's an example in the ELisp manual, where
> set-fontset-font is described.

Thanks for clarifying.  I don't understand why the original change was needed, though.  What prevented users from adding the default font as the first font in their fontset?  Wouldn't that have achieved exactly the same (pick the character from the default font if available, and otherwise from the next one in the fontset)?

Clément.